

%------------ Finner hvilker rader i totale avlusningstiltak som svarer til
%nsket lokalitet--------------------------------
in='fusavika'; % nsket lokalitet

[num,txt,raw] = xlsread('totaletiltak.xlsx'); % importerer hele excel dokumentet
%num=0;
%txt=0;
p = strcmpi(in,raw(:,4));% Compare user input string with entries in the Excel sheet
rowNum = find(p==1);%Get Row number

storrelse=size(rowNum);
for i=1:storrelse(1,1)
    Tiltak(i,:)=num(rowNum(i)-1,:);
    Tiltakraw(i,:)=raw(rowNum(i),:);
end
%-------------------------------Lusepress verdier-----------------------------------------------

in='fusavika'; % nsket lokalitet
[num1,txt2,raw1] = xlsread('lusepress.xlsx'); % importerer hele excel dokumentet
%num1=0;
txt1=0;
p = strcmpi(in,raw1(3,:));% Compare user input string with entries in the Excel sheet
colNum = find(p==1);%Get Coloumn number

storrelse=size(rowNum);
Lusepress=zeros(26,2);
for i=4:29
    Lusepress(i-3,2)=num1(i-3,colNum);
    Lusepress(i-3,1)=num1(i-3,2);
end
%-----------------------------------------------------------------------

%-------------------Faktiske luseverdier---------------------------------
[num2] = xlsread('Fusavika12-39.xlsx');
Lusetall=zeros(25,5);
for i=2:27
Lusetall(i-1,1)=num2(i,1); % uke
Lusetall(i-1,2)=num2(i,5); % Voksne hunnlus
Lusetall(i-1,3)=num2(i,6); % LusiBevegelige stadier
Lusetall(i-1,4)=num2(i,7); % Fastsittende lus
Lusetall(i-1,5)=num2(i,11); %Sjtemp
end

%------------------------------------
storst=max(Lusetall);

storst2=max(storst(1,2:4)); %Finner hyeste verdi av lakselus 
%Tiltak2=sort(Tiltak(:,1);
%----------------------------------------------
% Bestem deg for hvor mange punkter
Lusetallplot=zeros(250,5);
Lusepressplot=zeros(250,2);
Lusepress2=flipud(Lusepress);
%--------------------------------Interpolering----------------
for i=1:25
    
    for e=1:10
          Lusetallplot((i-1)*10+e,1)=(-e*(Lusetall(i,1)-Lusetall(i+1,1))/10) + Lusetall(i,1)+(1/10);
          Lusetallplot((i-1)*10+e,2)=(-(e-1)*(Lusetall(i,2)-Lusetall(i+1,2))/10) + Lusetall(i,2);
          Lusetallplot((i-1)*10+e,3)=(-(e-1)*(Lusetall(i,3)-Lusetall(i+1,3))/10) + Lusetall(i,3);
          Lusetallplot((i-1)*10+e,4)=(-(e-1)*(Lusetall(i,4)-Lusetall(i+1,4))/10) + Lusetall(i,4);
          Lusepressplot((i-1)*10+e,1)=(-e*(Lusepress2(i,1)-Lusepress2(i+1,1))/10) + Lusepress2(i,1)+(1/10);
          Lusepressplot((i-1)*10+e,2)=(-(e-1)*(Lusepress2(i,2)-Lusepress2(i+1,2))/10) + Lusepress2(i,2);
    end
end
%---------------------------------------------------------

x1 = Lusetallplot(:,1);
x2 = Lusepressplot(:,1);
%x3 = Lusetallplot(:,5);
a = Lusetallplot(:,2);
b = Lusetallplot(:,3);
c = Lusetallplot(:,4);
d = Lusepressplot(:,2);
%plot(x1,a+b+c)%,x2,c)
figure
grid on
grid minor
axis([12 39 0 inf])
title('Gjennomsnitlig Lusemengde per fisk')

yyaxis left
%bar(x1,d,1,'FaceColor',[0 0.7 0.99])
plot(x1,d)
ylabel('Kopepoditter per kvadratmeter for lokasjon')
xlabel('Uke i 2016')

yyaxis right
%bar(x1,a+b+c,0.99,'Facecolor',[0 0.7 0.6])
plot(x1,a+b+c)
ylabel('Antall lus per fisk')

hold on
bar(x1,a,0.7,'FaceColor',[0 0 0])
bar(x1,b,0.5,'FaceColor',[0.3 0.5 0.7])
bar(x1,c,0.3,'FaceColor',[0.8 0.2 0.9]) 
ylabel('Antall lus per fisk')
%------ Plot inn lusetiltak --------
tiltakplot=size(Tiltak);
if tiltakplot>0;
for i=1:tiltakplot(1)
if Tiltak(i,10)>=0
    plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'r.','MarkerSize',25);
plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'y.','MarkerSize',10);
text(Tiltak(i),abs(storst2-(i/3)+1),'(Rensefisk utsett)','Color','k', ...
   'HorizontalAlignment','left','VerticalAlignment','bottom');
elseif strcmpi('medikamentell',Tiltakraw(i,5))==1 && strcmpi('badebehandling',Tiltakraw(i,6))==1 
     plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'r.','MarkerSize',25);
plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'y.','MarkerSize',10);
text(Tiltak(i),abs(storst2-(i/3)+1),'(Medikamentell badebehandling)','Color','k', ...
   'HorizontalAlignment','left','VerticalAlignment','bottom');
elseif strcmpi('mekanisk fjerning',Tiltakraw(i,5))==1  
     plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'r.','MarkerSize',25);
plot([Tiltak(i)],[abs(storst2-(i/3)+1)],'y.','MarkerSize',10);
text(Tiltak(i),abs(storst2-(i/3)+1),'(mekanisk fjerning)','Color','k', ...
   'HorizontalAlignment','left','VerticalAlignment','bottom');
end
end
else
end
legend('Lusepress','Samlet mengde','Voksne hunnlus','Lus i Bevegelig stadier', 'Fastsittende lus')
%plot(Lusetall(:,1),Lusetall(:,2),Lusetall(:,1),Lusetall(:,3),Lusepress(:,1),Lusepress(:,2))

hold off




