% LASTER INNN DATA P ANLEGG NSKET  BENYTTE
%in=''; % nsket fylke
%------------------Finner lokalitets koordinater med tilhrende lusepress------------
[num1,txt2,raw1] = xlsread('Hella2.xlsx');%('fishhealth.xlsx'); % importerer hele excel dokumentet
%num1=0;
txt1=0;
p = strcmpi('Nei',raw1(:,8));% Compare user input string with entries in the Excel sheet
rowNum1 = find(p==1);%Get row number
Hordaland=raw1(rowNum1,:);

Temp(:,1)=cell2mat(Hordaland(:,1));
Temp(:,2)=cell2mat(Hordaland(:,16));
Temp(:,3)=cell2mat(Hordaland(:,2));
uke=cell2mat(Hordaland(:,1));

% Kalibrerer smittepress

Spenn= (250*((0.2*Temp(:,2).^2+Temp(:,2) -5))+29500)/3;
Lusepress(:,2)=Spenn;
Lusepress(:,1)=Temp(:,1); % UKer
%--------------------Husk at det er forskjvet med 23 uker-------------------------------------------
%for i=1:33
%Lusepress(i,2)=Lusepress(i,2)+1200;
%end
%Lusepress(40,1)=Lusepress(40,1)+1000;
%Lusepress(41,2)=Lusepress(41,2)+3000;
%Lusepress(42,2)=Lusepress(42,2)+ 3900;
Lusepress(50,2)=Lusepress(50,2)- 4000;
Lusepress(51,2)=Lusepress(51,2)- 5600;
Lusepress(52,2)=Lusepress(52,2)- 3000;
Lusepress(59,2)=Lusepress(59,2)- 2000;
Lusepress(60,2)=Lusepress(60,2)- 2600;
Lusepress(61,2)=Lusepress(61,2)- 2000;
Lusepress(62,2)=Lusepress(62,2)- 1000;
for i=1:35
    Lusepress(i,2)=Lusepress(i,2)+7000;  
    %Lusepress(i,2)=Lusepress(10+i,2)+4000;
end
%Lusepress(70,2)=Lusepress(70,2)+100;
%Lusepress(71,2)=Lusepress(71,2)+100;
%Lusepress(72,2)=Lusepress(72,2)+100;
%Lusepress(73,2)=Lusepress(73,2)+100;
%Lusepress(74,2)=Lusepress(74,2)+100;
%Lusepress(75,2)=Lusepress(75,2)+100;


%OPEN SIMULATION MODEL
presset=size(Lusepress(:,2));
Lusepressstorrelse=presset(1,1);
open_system('Simulation_model')

%TURN OFF WARNINGS:
%w=warning('off','all');

% RUN SIMULATION MODEL:

%simplify model name
model = 'Simulation_model';

%Set simulation time
set_param(model, 'StopTime','20000')

% Sender inn random tall
random1=rand(1);
ran=clock;
random2=ran(1,6)/60;
%---------------------------------- 
startvekt=50; % er dette som blir variablene
utsettsdato=datetime(2015,05,10); % sett inn utsettsdato
utsettsuke=week(utsettsdato);
slaktdato=82; % utsettsuke + antall uker oppdrett


%    for Term=13:86
%        for Hyd=13:86
%            for H2=13:86

%..........Avlusnings tiltak og uke for gjennomfring.......
Pyretroider=[49]%67]%67];%];
Pyretroider2=[63];
Pyretroider3=[0];%];
Pyretroider4=[0];%];
Termo=[0];
Termo2=[0];
Hydro=[0]%60]%60];
Hydro2=[0]%76]%76];
Avlusfor=[28]%23]; %23;
Avlusfor2=[36];% ;
H2o2=[74]%52];%52];
H2o22=[0];

%......................................................

% Data for rensefisk
Berggylt1=16000%1327/4;
Gronngylt1=0%40515/4;
Rognkjeks1=0%22000/4;
Bergnebb1=0%1647/4;
utsett1=35; %Utsettsuke

% Pfyll 1 av rensefisk
Berggylt2=4000;
Gronngylt2=0;
Rognkjeks2=0%58000/4;
Bergnebb2=0;
utsett2=55; %Utsettsuke 2

% Pfyll 2 av rensefisk
Berggylt3=0;
Gronngylt3=0;
Rognkjeks3=0;
Bergnebb3=0;
utsett3=60; %Utsettuke 3



% alle konstanter lastet inn, kjr simulering
sim(model)
%.................Beregner kostnader ved implementerte tiltak.......
[Pyrbrukt,Termobrukt,Hydrobrukt,H2o2brukt]=antallavlus(Pyretroider,Pyretroider2, Pyretroider3,Pyretroider4, Termo,Termo2,Hydro,Hydro2,H2o2,H2o22);

%Stoff kostnader
StoffPyr=Pyrbrukt*25000;
StoffH2o2=H2o2brukt*250000;

%Operasjonskostnader
OpPyr=Pyrbrukt*63000;
OpH2o2=H2o2brukt*125000;
OpTermo=Termobrukt*125000;
OpHydro=Hydrobrukt*125000;

H2o2kostnader=StoffH2o2+OpH2o2;
Pyrkostnader=StoffPyr+OpPyr;
Hydrokostnader=OpHydro;
Termokostnader=OpTermo;

%..............Forkostnader..............
if Avlusfor >0
    Avlusforbrukt=1;
   forkost1=3*14*6*biomasse1(1,1)/(1000000*2); 
   
else 
    Avlusforbrukt=0;
    forkost1=0;
end
if Avlusfor2>0
    Avlusforbrukt=Avlusforbrukt+1;
    forkost2=3*14*6*biomasse2(2,1)/(1000000*2);
else
    Avlusforbrukt=0;
    forkost2=0;
end

forkost=forkost1+forkost2;

Avlusningskostnader=forkost+Termokostnader+Hydrokostnader+Pyrkostnader+H2o2kostnader;

%......................................................
%-------------------------------------------------------------------------------
%-------------------------Rensefisk kostnader----------------------------------
%-------------------------------------------------------------------------------
% Data for rensefisk
Berggyltkost=Berggylt1*22;
Gronngyltkost=Gronngylt1*11.6;
Rognkjekskost=Rognkjeks1*17.15;
Bergnebbkost=Bergnebb1*10.16;

% Pfyll 1 av rensefisk
Berggyltkost=Berggyltkost+Berggylt2*22;
Gronngyltkost=Gronngyltkost+Gronngylt2*11.6;
Rognkjekskost=Rognkjekskost+Rognkjeks2*17.15;
Bergnebbkost=Bergnebbkost+Bergnebb2*10.16;

% Pfyll 2 av rensefisk
Berggyltkost=Berggyltkost+Berggylt3*22;
Gronngyltkost=Gronngyltkost+Gronngylt3*11.6;
Rognkjekskost=Rognkjekskost+Rognkjeks3*17.15;
Bergnebbkost=Bergnebbkost+Bergnebb3*10.16;

Rensefiskinnkjop=Berggyltkost+Gronngyltkost+Rognkjekskost+Bergnebbkost;
AntallRensefisk1=(Berggylt1+Gronngylt1+Rognkjeks1+Bergnebb1);
AntallRensefisk2=(Berggylt2+Gronngylt2+Rognkjeks2+Bergnebb2);
AntallRensefisk3=(Berggylt3+Gronngylt3+Rognkjeks3+Bergnebb3);
if max([AntallRensefisk1,AntallRensefisk2,AntallRensefisk3])>=400
Skjulogrenskost=300000;
elseif max([AntallRensefisk1,AntallRensefisk2,AntallRensefisk3])>=200
Skjulogrenskost=200000;
elseif max([AntallRensefisk1,AntallRensefisk2,AntallRensefisk3])==0
    Skjulogrenskost=0;
else
    Skjulogrenskost=100000;
end
Rensefiskkostnad=Skjulogrenskost+Rensefiskinnkjop;
%------------------------------Rensefisk kostnader slutt------------------------
%-------------------------------------------------------------------------------

%------------------------------Totale kostnader------------------------
%-------------------------------------------------------------------------------
Totalekostnader=Rensefiskkostnad+Avlusningskostnader
Salglaks=biomasseslutt*55

Overskudd=Salglaks-Totalekostnader
clear grense;
grensen=size(fortlopendeantall);
grense(1:grensen(1,1),1)=0.5;


% plottting--------------------------------------------------
figure

subplot(2,2,1); 
grid on
axis([20 82 0 0.7])
hold on
plot(Uke,lusniva,fortlopendeuke,grense);title('Usikkerhet i resultater');ylabel('Gjennomsnitt voksne hunnlus');xlabel('Uker i 2015 og 2016');xticks([20 25 30 35 40 45 50 55 60 65 70 75 80])
xticklabels({'20','25','30','35','40','45','50','3','8','12','17','22','27'})
hold off
%,Uke1,lusniva1,Uke2,lusniva2,Uke3,lusniva3,Uke4,lusniva4



subplot(2,2,2); 
grid on
axis([20 82 0 6000])
hold on
plot(fortlopendeuke,fortlopendevekt);title('Gjennomsnittlig vekt oppdrettsfisk');ylabel('Vekt gramxlabel');xlabel('Uker i 2015 og 2016');xticks([20 25 30 35 40 45 50 55 60 65 70 75 80])
xticklabels({'20','25','30','35','40','45','50','3','8','12','17','22','27'});legend('50g','100g','200g')
hold off

%fortlopendeuke,fortlopendevekt1,fortlopendeuke,fortlopendevekt2,fortlopendeuke,fortlopendevekt3
%subplot(2,1,2); 
%grid on
%axis([20 82 180000 200000])
%hold on
%plot(fortlopendeuke,fortlopendeantall,fortlopendeuke1,fortlopendeantall1,fortlopendeuke2,fortlopendeantall2,fortlopendeuke3,fortlopendeantall3,fortlopendeuke4,fortlopendeantall4);title(' ');ylabel('Antall oppdrettsfisk');xlabel('Uker i 2015 og 2016');xticks([20 25 30 35 40 45 50 55 60 65 70 75 80])
%xticklabels({'20','25','30','35','40','45','50','3','8','12','17','22','27'})%;legend('50g','100g','200g')
%hold off
%fortlopendeuke,erik50,fortlopendeuke,erik100
%forlopendevekt

subplot(2,2,3); 
grid on
axis([20 82 0 20])
hold on
plot(fortlopendeuke,fortlopendetemperatur);title('Temperatur');ylabel('Temperatur i grader celsius');xlabel('Uker i 2015 og 2016');xticks([20 25 30 35 40 45 50 55 60 65 70 75 80 ])
xticklabels({'20','25','30','35','40','45','50','3','8','12','17','22','27'})

hold off


ant=size(Lusepress(:,2));
ant1=flip(Lusepress);

subplot(2,2,4); 
grid on
axis([20 82 0 20000])
hold on
plot(20:Lusepressstorrelse+19,ant1(:,2));title('Lusepress ved n merd');ylabel('Antall kopepoditter');xlabel('Uker i 2015 og 2016');xticks([20 25 30 35 40 45 50 55 60 65 70 75 80 ])
xticklabels({'20','25','30','35','40','45','50','3','8','12','17','22','27'})
hold off






